## GcalMonthView GcalMonthView |

## Functions

void | gcal_month_view_set_first_weekday ()
void | gcal_month_view_set_use_24h_format ()

## Signals

void | event-activated | Run Last

## Types and Values

#define | GCAL_TYPE_MONTH_VIEW
| GcalMonthView

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GcalMonthView

## Implemented Interfaces

GcalMonthView implements AtkImplementorIface, GtkBuildable and GcalView.

## Description

## Functions

### gcal_month_view_set_first_weekday ()

    void
    gcal_month_view_set_first_weekday (GcalMonthView *self,
                                       gint day_nr);

Set the first day of the week according to the locale, being 0 for Sunday, 1 for Monday and so on.

#### Parameters

view | A GcalMonthView instance |
day_nr | Integer representing the first day of the week |

### gcal_month_view_set_use_24h_format ()

    void
    gcal_month_view_set_use_24h_format (GcalMonthView *self,
                                        gboolean use_24h);

Whether the view will show time using 24h or 12h format

## Types and Values

### GCAL_TYPE_MONTH_VIEW

    #define GCAL_TYPE_MONTH_VIEW  (gcal_month_view_get_type ())

### GcalMonthView

    typedef struct _GcalMonthView GcalMonthView;

## Signal Details

### The `“event-activated”` signal

    void
    user_function (GcalMonthView   *gcalmonthview,
                   GcalEventWidget *arg1,
                   gpointer         user_data)

Flags: Run Last